import React, { useEffect } from 'react';
import { useDispatch, useSelector } from 'react-redux';
import { Redirect } from 'react-router';

import {sendUserOrder} from '../../actions/checkout_actions'
import Order from '../order-history/Order';
import './order-confirmation.css'

const OrderConfirmation = () => {

    const dispatch = useDispatch();
    const {orderResponse} = useSelector(state => state.orderStatus);

    useEffect(()=>{
        return () => dispatch(sendUserOrder({}));
    },[])

    const orderPlaced = new Date(orderResponse.orderCreatedAt);



    if (!orderResponse.id) return (<Redirect to="/product-market" />) //once we have flow from place order page, this can be uncommented
    return (
        <main>
            <h1 id="order-confirmation-header">Thanks for your order!</h1>
            <Order order={orderResponse} />

        </main>
        
    );
}

export default OrderConfirmation;